-- Copyright (c) Huawei Technologies Co., Ltd. 2025-2025. All rights reserved.
-- 
-- this file licensed under the Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
-- PURPOSE.
-- See the Mulan PSL v2 for more details.

local smbios_decoder = require 'bios.smbios'
test_smbios_decoder = {}

function test_smbios_decoder:test_update_bios_status()
    local smbios_file_path = os.getenv('ROOT_DIR') .. '/test_data/apps/compute/BIOS_FileName'
    local decoder = smbios_decoder.new(1, smbios_file_path)
    decoder:update()
end